LINUX.ORG.RU

DIR-825; 5 GHz Wi-Fi


0

1

Хочу завести на $SUBJ1 $SUBJ2. Прошивку (OpenWrt) с патчем на ядро собрал, прошил, настроил Wi-Fi в /etc/network/wireless с помощью ‘wifi detect’ и допиливания vim'ом. Вот мой конфиг для wlan1, который как раз 5 GHz:

config wifi-device  radio1
        option type     mac80211
        option country  FR
        option outdoor  1
        option channel  36
        option macaddr  MY:MA:CA:DD:RE:SS
        option hwmode   11na
        option htmode   HT20
        list ht_capab   SHORT-GI-40
        list ht_capab   TX-STBC
        list ht_capab   RX-STBC1
        list ht_capab   DSSS_CCK-40
        # REMOVE THIS LINE TO ENABLE WIFI:
        #option disabled 1

config wifi-iface
        option device   radio1
        option network  lan
        option mode     ap
        option ssid     'Gentoo'
        option encryption psk2
        option key      'my password'

Поднимается, вроде, нормально, ошибок нет, но ни с ай-пода, ни с нетбука сети не видно. Что я сделал не так и как это исправить?

И ещё такой вопрос — какой код страны вставить для Украины, и почему при вставке ‘UA’ ‘iwlist wlan1 chan’ не показывает никакие каналы?

Заранее спасибо.

Лучше всего поставить US, все равно больше 79мВт не даст, а по украинским нормам ненаправленный сигнал может быть до 100 мВт. В айподе нет 5ГГц емнип, в нетбуках в 99% случаев его нет тоже.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

>В айподе нет 5ГГц емнип, в нетбуках в 99% случаев его нет тоже.

Вот я тоже так подумал, но не поверил — ай-под же эппл, должен всё уметь (хотя он, тупак, даже не всегда правильно шифрование определяет). Даже не знаю, чем теперь проверить, заработал ли 5 GHz. 2.4 GHz работает с ай-подом. Получается, для 5 GHz нужна специальная сетевуха, которая его поддерживает, а без неё у меня ничего не получится?

gentoo_root ★★★★★ ()
Ответ на: комментарий от gentoo_root

У меня ноут умеет, унутрях банальная Intel 5300. Правда, строго американская, русские блочены на 5ГГц.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

>У меня ноут умеет, унутрях банальная Intel 5300

По ‘rtl8187se 5 ghz’ ничего не гуглится, видимо, моя не умеет. Тогда вырублю его нафиг, всё равно не с чем заюзать. Наверное, завёлся, светодиод горит, ошибок не было.

gentoo_root ★★★★★ ()
Ответ на: комментарий от gentoo_root

Купи miniPCIe с поддержкой да и поменяй, они относительно дешевые. Только смысл есть в одном случае: если ты в многоквартирном доме живешь и 2.4ГГц диапазон банально засран соседями. Если вокруг радиотишина, то наоборот станет хуже: 5ГГц карточки имеют меньший радиус действия как правило.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от gentoo_root

смотри вывод iwconfig, к примеру - wlan0 IEEE 802.11abgn ESSID:off/any

IEEE 802.11xxx среди x a - 5 гигарегц, если его нет то интерфейс его не поддерживает ну и соответственно работать не будет.

GHhost ()
Ответ на: комментарий от pekmop1024

>Купи miniPCIe с поддержкой да и поменяй, они относительно дешевые.

Да мне много чего на нетбуке надо из железа поменять — в соединении с крышкой много проводов порвалось из-за чего не работают веб-камера, микрофон, а Wi-Fi работает только без шифрования или с WEP в Ad-Hoc, да и сам корпус потрескался. Новый нетбук не хочу покупать, надо этот оживить.

если ты в многоквартирном доме живешь и 2.4ГГц диапазон банально засран соседями

Есть соседи с вай-фаями, всего их много, но в любой определённой точке ай-под видит 2-4 сети, одна из которых моя.

Мне-то особенно 5 ГГц и не нужно (к вай-фаю я вообще подключаю только ай-под, на нетбуке WPA не работает из-за порванных проводов в крышку), но просто хотел проверить, что оно завелось и работает, да и обидно, что купил роутер с ним и не могу поюзать. А на сайте D-Link говорят, что по 5 ГГц больше скорость.

gentoo_root ★★★★★ ()
Ответ на: комментарий от GHhost

>смотри вывод iwconfig, к примеру - wlan0 IEEE 802.11abgn ESSID:off/any

У меня 802.11b/g.

IEEE 802.11xxx среди x a - 5 гигарегц, если его нет то интерфейс его не поддерживает ну и соответственно работать не будет.

Значит, мой таки не поддерживает.

gentoo_root ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.